Skip to main content
GET
/
v1
/
comparisons
/
{id}
Get a comparison with all child generations
curl --request GET \
  --url https://api.rimp.io/v1/comparisons/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "prompt": "<string>",
  "params_shared": {},
  "reserved_credits": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z",
  "generations": [
    {
      "id": "<string>",
      "model": "<string>",
      "status": "<string>",
      "charged_credits": 123,
      "refunded_credits": 123,
      "error_code": "<string>",
      "outputs": [
        {
          "id": "<string>",
          "mime": "<string>",
          "width": 123,
          "height": 123,
          "duration_s": "<string>",
          "url": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rimp.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Comparison found.

id
string
object
enum<string>
Available options:
comparison
status
enum<string>
Available options:
queued,
running,
succeeded,
partial,
failed
prompt
string
params_shared
object
reserved_credits
integer
created_at
string<date-time>
finished_at
string<date-time> | null
generations
object[]